<?php
ini_set('display_errors', 1);
error_reporting(E_ALL);

// config laden
require_once 'config.php';

// Verbindungsaufbau zur Datenbank
$config = include('db-connection.php');
$host = $config['host'];
$port = $config['port'];
$dbname = $config['dbname'];
$user = $config['user'];
$password = $config['password'];

// Verbindung aufbauen
$dbconn = pg_connect("host=$host port=$port dbname=$dbname user=$user password=$password")
    or die('Verbindungsaufbau fehlgeschlagen: ' . pg_last_error());


// Hartcodierte Parameter (nur 2 Parameter für den Test)
$first_name = 'Max';
$last_name = 'Mustermann';

// SQL-Query zum Einfügen der Daten
$query = "
    INSERT INTO sc_test(first_name, last_name)
    VALUES ('$first_name', '$last_name')
    RETURNING GID;
";

$result = pg_query($dbconn, $query);

if ($result) {
    $row = pg_fetch_assoc($result);
    echo json_encode(["gid" => $row['gid']]);
} else {
    echo json_encode(["error" => "Fehler beim Einfügen der Daten."]);
}

pg_close($dbconn);
?>
